/*
	filename here

	Copyright (c) 2000, Peter Siebold

	This file is part of the aems555 project.

	aems555 software is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	aems555 software is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with any aems555 software.  If not, see <http://www.gnu.org/licenses/>.
	
	Many thanks to Peter Siebold for allowing us to redistribute his code under GPL!
*/


/*----------------------------------------------------------------------------------**
** Copyright (c) 2000, Peter Siebold / Jeff Clark                                   **
** All rights reserved.                                                             **
** Redistribution and use in source and binary forms, with or without modification, **
** are permitted provided that the following conditions are met:                    **
**                                                                                  **
**                                                                                  **
** Redistributions of source code must retain the above copyright notice, this list **
**  of conditions and the following disclaimer.                                     **
**                                                                                  **
** Redistributions in binary form must reproduce the above copyright notice, this   **
** list of conditions and the following disclaimer in the documentation and/or      **
** other materials provided with the distribution.                                  **
**                                                                                  **
** Neither the name of "aems555" nor the names of its contributors may be used       **
** to endorse or promote products derived from this software without specific prior **
** written permission.                                                              **
**                                                                                  **
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS''    **
** AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE        **
** IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE   **
** DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY      **
** DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES       **
** (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;     **
** LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON   **
** ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT          **
** (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS    **
** SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.                     **
**----------------------------------------------------------------------------------**
**																					**
**----------------------------------------------------------------------------------**
**    EFI code for the ppc555														**
**																					**
**	File:		emuram.h															**
**	Desc:		Support tpu emulation code for pmmx, pmma, and itc functions		**
**																					**
**																					**
**	Author:		Peter Siebold														**
**	Tools:   	GNU tool chain														**
**																					**
**----------------------------------------------------------------------------------*/

unsigned char emuram[2048] = {
63,255,255,254,127,255,254,254,35,31,255,255,227,30,33,255,
227,30,65,255,227,30,97,255,227,30,129,255,227,30,161,255,
227,30,193,255,227,30,225,255,3,95,248,15,54,127,216,15,
31,255,248,15,22,63,248,11,55,252,143,255,132,18,255,255,
60,127,248,23,127,251,255,254,174,21,254,255,60,127,248,19,
212,2,255,252,32,127,255,255,31,255,242,3,34,159,210,3,
178,29,254,255,127,255,241,251,31,255,240,3,62,127,248,15,
191,255,255,248,127,249,254,254,17,159,240,11,191,255,255,249,
56,127,248,19,103,63,254,251,58,127,248,23,180,37,255,255,
62,127,248,14,62,127,200,14,210,31,255,255,17,191,240,11,
191,255,255,249,31,255,240,7,63,255,240,3,127,249,254,210,
152,102,255,252,120,95,255,223,31,255,248,11,22,28,0,19,
148,43,255,255,132,53,254,199,3,95,208,11,194,55,248,15,
112,63,223,207,3,95,232,11,22,63,224,15,16,31,240,23,
34,254,127,255,23,252,0,23,132,64,255,255,2,127,224,19,
0,156,200,19,132,71,254,255,210,71,255,255,32,223,223,255,
31,255,240,19,32,157,239,255,132,70,254,255,23,252,72,19,
132,71,254,255,192,46,240,15,0,223,232,19,36,159,240,19,
55,95,255,255,52,127,248,11,34,63,255,255,230,126,43,255,
22,127,210,3,30,31,250,3,50,30,63,253,54,254,79,255,
28,30,48,23,32,198,63,255,32,198,63,255,158,86,254,255,
63,95,255,255,63,95,223,255,5,93,248,3,148,90,245,255,
210,93,255,255,54,117,255,255,54,101,255,255,144,93,254,255,
54,127,223,255,140,95,254,255,127,255,243,255,53,253,255,255,
148,98,254,255,31,255,248,7,38,156,8,3,82,89,254,255,
231,62,33,255,148,86,254,255,127,255,254,254,178,106,254,248,
127,255,255,199,127,255,255,207,31,255,248,7,194,109,240,11,
127,249,254,215,63,255,248,15,63,255,240,18,207,255,224,11,
31,255,248,7,63,255,253,219,34,63,245,223,31,255,240,19,
2,255,253,223,214,254,255,255,52,156,15,255,132,121,255,255,
192,122,240,19,22,255,248,19,34,63,255,255,22,255,248,23,
2,31,242,3,32,127,255,255,50,156,207,255,148,130,255,255,
212,254,255,255,132,134,255,255,54,156,143,255,148,139,255,255,
212,254,255,255,132,139,254,255,31,255,245,223,63,255,240,19,
156,139,255,255,31,255,245,219,63,255,240,15,199,3,240,19,
34,156,207,255,127,255,243,255,212,233,255,255,174,148,255,255,
62,127,255,255,158,148,255,255,31,255,253,219,31,255,248,15,
16,60,205,255,7,63,240,23,255,255,255,255,180,0,255,255,
144,169,255,255,140,162,255,255,86,92,179,255,34,157,255,255,
140,0,254,255,56,63,255,255,28,92,136,3,60,92,207,255,
144,173,255,255,208,177,255,255,31,255,240,23,34,157,255,255,
140,177,255,255,86,93,207,255,39,63,255,255,255,255,255,255,
180,0,254,255,34,157,255,255,140,177,254,255,41,255,255,255,
208,157,255,255,32,199,255,255,32,207,255,255,224,223,1,255,
63,255,240,23,88,93,239,254,215,24,255,255,60,127,248,15,
127,255,254,255,0,221,248,3,22,63,248,7,142,189,245,255,
52,60,255,255,34,157,255,255,142,189,255,255,52,60,207,255,
54,61,255,255,148,177,255,255,24,31,248,15,50,254,207,255,
53,252,15,255,144,177,255,255,142,197,254,255,52,94,255,255,
50,95,207,255,95,253,255,254,215,24,255,255,127,253,255,255,
207,255,66,3,0,63,240,19,215,3,255,255,34,156,143,255,
132,177,244,255,212,233,255,255,31,255,253,255,86,92,53,254,
32,221,255,255,140,212,255,255,34,157,255,255,140,213,255,255,
127,255,255,223,48,231,255,255,98,143,255,251,32,207,240,23,
215,24,255,255,127,253,255,255,208,111,255,255,34,135,255,255,
34,143,255,255,226,159,1,255,63,255,240,23,164,111,254,255,
208,216,127,255,34,157,255,255,140,0,255,255,32,199,255,255,
32,207,255,255,224,223,1,255,63,255,240,23,164,178,255,255,
208,180,255,255,48,95,255,255,34,63,255,255,30,31,253,251,
255,94,15,255,50,10,255,253,18,255,253,255,226,157,255,255,
144,252,255,255,52,255,255,255,34,223,255,255,50,159,255,255,
48,127,255,255,60,255,255,255,32,63,255,255,22,255,253,251,
62,31,255,255,255,94,15,255,50,10,255,253,16,252,125,255,
144,162,255,255,217,255,255,255,32,95,255,255,2,31,240,23,
34,135,255,255,211,14,255,255,34,143,255,255,32,95,255,255,
2,31,240,23,34,135,255,255,155,14,254,255,34,143,255,255,
145,10,254,255,34,30,127,255,254,222,21,255,50,220,15,255,
145,16,254,215,127,255,255,223,145,16,254,255,34,30,127,255,
34,220,79,255,149,21,255,255,147,21,255,255,254,156,21,255,
34,156,15,255,50,159,255,255,219,255,255,255,60,223,255,255,
16,31,240,23,48,239,255,255,48,231,255,255,183,30,254,255,
63,255,240,23,48,255,208,23,219,255,255,255,50,255,255,255,
191,255,255,192,127,249,254,214,31,255,240,7,32,221,255,255,
151,40,255,255,96,219,239,255,211,112,240,7,62,61,207,255,
211,112,255,255,62,61,255,255,161,34,255,255,31,255,240,7,
0,221,224,11,141,50,255,255,254,159,3,255,127,253,255,255,
63,255,240,11,127,255,255,250,207,255,48,19,62,223,240,19,
31,255,240,23,62,223,240,23,31,255,240,11,62,159,208,11,
127,255,255,251,211,123,255,255,62,125,207,255,153,63,254,255,
254,159,5,255,63,255,240,11,127,251,255,250,31,255,240,19,
32,221,255,255,149,72,255,255,199,166,245,255,124,122,15,255,
22,63,253,251,21,252,192,11,143,48,255,255,254,159,7,255,
31,255,240,23,96,219,223,255,213,142,240,23,31,255,240,19,
32,223,208,19,32,221,239,255,149,81,254,255,195,118,125,251,
60,255,245,255,254,30,117,255,31,255,240,19,32,220,79,255,
149,87,254,255,211,112,127,255,62,53,223,255,211,112,255,255,
62,61,255,255,161,59,255,255,213,142,255,255,153,98,255,255,
31,255,240,11,254,159,9,255,63,255,240,11,31,255,245,251,
195,72,253,255,112,92,255,251,254,30,241,255,31,255,240,23,
32,223,208,23,33,252,79,255,151,108,254,255,254,30,121,255,
62,223,240,23,31,255,240,19,62,223,240,19,209,79,255,255,
1,252,64,19,149,105,255,255,32,223,208,19,209,85,255,255,
28,255,253,255,60,126,197,255,63,255,253,251,145,123,255,255,
52,127,255,255,149,123,254,255,197,166,253,251,153,123,254,255,
213,164,255,255,213,164,255,255,213,164,255,255,157,127,254,255,
31,255,240,23,35,95,255,255,213,179,255,252,23,253,192,11,
141,133,255,255,149,133,255,255,254,159,11,255,62,127,224,11,
127,255,255,251,92,92,254,255,31,255,240,11,0,31,240,23,
33,252,79,255,151,140,255,255,50,157,255,255,141,141,254,255,
127,255,255,251,127,253,255,254,30,127,224,15,2,63,240,23,
1,252,128,15,149,158,254,255,254,30,241,255,32,158,191,255,
34,156,64,15,141,151,254,255,34,158,112,15,31,255,245,255,
28,30,0,7,48,252,112,3,145,156,254,255,63,255,248,3,
219,255,255,255,62,127,248,7,31,255,245,255,28,30,0,7,
48,252,112,7,145,163,254,255,63,255,248,7,217,255,255,255,
55,253,239,255,141,123,255,215,30,31,240,19,255,94,15,255,
34,63,255,255,50,10,255,253,50,103,255,255,219,255,255,255,
54,101,255,255,254,30,121,255,32,220,64,23,141,178,254,255,
224,222,241,255,63,255,240,23,63,255,255,254,35,31,255,255,
227,30,33,255,227,30,65,255,227,30,97,255,227,30,129,255,
227,30,161,255,227,30,193,255,227,30,225,255,227,31,1,255,
227,31,33,255,227,31,65,255,227,31,97,255,227,31,129,255,
227,31,161,255,227,31,193,255,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
16,27,16,27,254,0,254,0,48,10,48,10,48,10,48,10,
254,1,254,1,254,1,254,1,48,10,48,10,48,10,48,10,
64,31,64,31,128,30,160,38,254,0,254,0,254,0,254,0,
64,31,64,31,64,31,64,31,64,31,64,31,64,31,64,31,
16,102,16,102,16,40,96,44,144,53,144,50,144,53,144,50,
16,102,16,102,16,102,16,102,16,102,16,102,16,102,16,102,
160,219,160,225,16,0,0,103,160,208,160,208,168,198,160,178,
184,111,184,111,184,200,176,180,160,208,160,208,168,198,160,178,
254,0,254,0,161,173,1,32,145,42,81,89,145,42,81,89,
254,1,254,1,254,1,254,1,145,42,81,89,145,42,81,89,

};