/*
	filename here

	Copyright (c) 2000, Peter Siebold

	This file is part of the aems555 project.

	aems555 software is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	aems555 software is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with any aems555 software.  If not, see <http://www.gnu.org/licenses/>.
	
	Many thanks to Peter Siebold for allowing us to redistribute his code under GPL!
*/


/*----------------------------------------------------------------------------------**
** Copyright (c) 2000, Peter Siebold                                                **
** All rights reserved.                                                             **
** Redistribution and use in source and binary forms, with or without modification, **
** are permitted provided that the following conditions are met:                    **
**                                                                                  **
**                                                                                  **
** Redistributions of source code must retain the above copyright notice, this list **
**  of conditions and the following disclaimer.                                     **
**                                                                                  **
** Redistributions in binary form must reproduce the above copyright notice, this   **
** list of conditions and the following disclaimer in the documentation and/or      **
** other materials provided with the distribution.                                  **
**                                                                                  **
** Neither the name of "aems555" nor the names of its contributors may be used      **
** to endorse or promote products derived from this software without specific prior **
** written permission.                                                              **
**                                                                                  **
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS''    **
** AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE        **
** IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE   **
** DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY      **
** DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES       **
** (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;     **
** LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON   **
** ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT          **
** (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS    **
** SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.                     **
**----------------------------------------------------------------------------------**
**																					**
**----------------------------------------------------------------------------------**
**    EFI code for the ppc555														**
**																					**
**	File:		counts2degF.h														**
**	Desc:		Table lookup of counts to deg F for efi555 implementation           **
**																					**
**																					**
**	Author:		Peter Siebold														**
**	Tools:   	GNU tool chain														**
**																					**
**----------------------------------------------------------------------------------*/

const u_short count2degF[] = {
      32,
      34,
      36,
      37,
      39,
      41,
      42,
      44,
      45,
      47,
      49,
      50,
      52,
      54,
      55,
      57,
      59,
      60,
      62,
      64,
      65,
      67,
      68,
      70,
      72,
      73,
      75,
      77,
      78,
      80,
      82,
      83,
      85,
      87,
      88,
      90,
      91,
      93,
      95,
      96,
      98,
     100,
     101,
     103,
     105,
     106,
     108,
     110,
     111,
     113,
     115,
     116,
     118,
     120,
     121,
     123,
     124,
     126,
     128,
     129,
     131,
     133,
     134,
     136,
     138,
     139,
     141,
     143,
     144,
     146,
     148,
     149,
     151,
     153,
     154,
     156,
     158,
     159,
     161,
     163,
     164,
     166,
     168,
     169,
     171,
     173,
     174,
     176,
     178,
     179,
     181,
     183,
     184,
     186,
     188,
     189,
     191,
     193,
     194,
     196,
     198,
     199,
     201,
     203,
     204,
     206,
     208,
     209,
     211,
     213,
     214,
     216,
     218,
     219,
     221,
     223,
     224,
     226,
     228,
     229,
     231,
     233,
     234,
     236,
     238,
     239,
     241,
     243,
     244,
     246,
     248,
     249,
     251,
     253,
     254,
     256,
     258,
     259,
     261,
     263,
     264,
     266,
     268,
     269,
     271,
     273,
     274,
     276,
     278,
     279,
     281,
     283,
     284,
     286,
     288,
     289,
     291,
     293,
     294,
     296,
     298,
     299,
     301,
     303,
     304,
     306,
     308,
     309,
     311,
     313,
     314,
     316,
     318,
     319,
     321,
     323,
     324,
     326,
     328,
     330,
     331,
     333,
     335,
     336,
     338,
     340,
     341,
     343,
     345,
     346,
     348,
     350,
     351,
     353,
     355,
     356,
     358,
     360,
     361,
     363,
     365,
     366,
     368,
     370,
     371,
     373,
     375,
     376,
     378,
     380,
     381,
     383,
     385,
     386,
     388,
     390,
     391,
     393,
     395,
     396,
     398,
     400,
     401,
     403,
     405,
     406,
     408,
     410,
     411,
     413,
     415,
     416,
     418,
     420,
     421,
     423,
     425,
     426,
     428,
     430,
     431,
     433,
     435,
     436,
     438,
     440,
     441,
     443,
     445,
     446,
     448,
     450,
     451,
     453,
     455,
     456,
     458,
     460,
     461,
     463,
     465,
     466,
     468,
     470,
     471,
     473,
     475,
     476,
     478,
     480,
     481,
     483,
     485,
     486,
     488,
     489,
     491,
     493,
     494,
     496,
     498,
     499,
     501,
     503,
     504,
     506,
     508,
     509,
     511,
     513,
     514,
     516,
     518,
     519,
     521,
     523,
     524,
     526,
     528,
     529,
     531,
     532,
     534,
     536,
     537,
     539,
     541,
     542,
     544,
     546,
     547,
     549,
     551,
     552,
     554,
     556,
     557,
     559,
     560,
     562,
     564,
     565,
     567,
     569,
     570,
     572,
     574,
     575,
     577,
     579,
     580,
     582,
     583,
     585,
     587,
     588,
     590,
     592,
     593,
     595,
     597,
     598,
     600,
     601,
     603,
     605,
     606,
     608,
     610,
     611,
     613,
     615,
     616,
     618,
     619,
     621,
     623,
     624,
     626,
     628,
     629,
     631,
     632,
     634,
     636,
     637,
     639,
     641,
     642,
     644,
     646,
     647,
     649,
     650,
     652,
     654,
     655,
     657,
     659,
     660,
     662,
     663,
     665,
     667,
     668,
     670,
     671,
     673,
     675,
     676,
     678,
     680,
     681,
     683,
     684,
     686,
     688,
     689,
     691,
     693,
     694,
     696,
     697,
     699,
     701,
     702,
     704,
     705,
     707,
     709,
     710,
     712,
     714,
     715,
     717,
     718,
     720,
     722,
     723,
     725,
     726,
     728,
     730,
     731,
     733,
     734,
     736,
     738,
     739,
     741,
     743,
     744,
     746,
     747,
     749,
     751,
     752,
     754,
     755,
     757,
     759,
     760,
     762,
     763,
     765,
     767,
     768,
     770,
     771,
     773,
     775,
     776,
     778,
     779,
     781,
     783,
     784,
     786,
     787,
     789,
     791,
     792,
     794,
     795,
     797,
     799,
     800,
     802,
     803,
     805,
     807,
     808,
     810,
     811,
     813,
     815,
     816,
     818,
     819,
     821,
     823,
     824,
     826,
     827,
     829,
     831,
     832,
     834,
     835,
     837,
     839,
     840,
     842,
     843,
     845,
     847,
     848,
     850,
     851,
     853,
     854,
     856,
     858,
     859,
     861,
     862,
     864,
     866,
     867,
     869,
     870,
     872,
     874,
     875,
     877,
     878,
     880,
     881,
     883,
     885,
     886,
     888,
     889,
     891,
     893,
     894,
     896,
     897,
     899,
     901,
     902,
     904,
     905,
     907,
     908,
     910,
     912,
     913,
     915,
     916,
     918,
     920,
     921,
     923,
     924,
     926,
     928,
     929,
     931,
     932,
     934,
     935,
     937,
     939,
     940,
     942,
     943,
     945,
     947,
     948,
     950,
     951,
     953,
     954,
     956,
     958,
     959,
     961,
     962,
     964,
     966,
     967,
     969,
     970,
     972,
     973,
     975,
     977,
     978,
     980,
     981,
     983,
     985,
     986,
     988,
     989,
     991,
     992,
     994,
     996,
     997,
     999,
    1000,
    1002,
    1004,
    1005,
    1007,
    1008,
    1010,
    1011,
    1013,
    1015,
    1016,
    1018,
    1019,
    1021,
    1023,
    1024,
    1026,
    1027,
    1029,
    1030,
    1032,
    1034,
    1035,
    1037,
    1038,
    1040,
    1042,
    1043,
    1045,
    1046,
    1048,
    1049,
    1051,
    1053,
    1054,
    1056,
    1057,
    1059,
    1061,
    1062,
    1064,
    1065,
    1067,
    1068,
    1070,
    1072,
    1073,
    1075,
    1076,
    1078,
    1080,
    1081,
    1083,
    1084,
    1086,
    1088,
    1089,
    1091,
    1092,
    1094,
    1095,
    1097,
    1099,
    1100,
    1102,
    1103,
    1105,
    1107,
    1108,
    1110,
    1111,
    1113,
    1115,
    1116,
    1118,
    1119,
    1121,
    1122,
    1124,
    1126,
    1127,
    1129,
    1130,
    1132,
    1134,
    1135,
    1137,
    1138,
    1140,
    1142,
    1143,
    1145,
    1146,
    1148,
    1150,
    1151,
    1153,
    1154,
    1156,
    1157,
    1159,
    1161,
    1162,
    1164,
    1165,
    1167,
    1169,
    1170,
    1172,
    1173,
    1175,
    1177,
    1178,
    1180,
    1181,
    1183,
    1185,
    1186,
    1188,
    1189,
    1191,
    1193,
    1194,
    1196,
    1197,
    1199,
    1201,
    1202,
    1204,
    1205,
    1207,
    1209,
    1210,
    1212,
    1213,
    1215,
    1217,
    1218,
    1220,
    1221,
    1223,
    1225,
    1226,
    1228,
    1229,
    1231,
    1233,
    1234,
    1236,
    1237,
    1239,
    1241,
    1242,
    1244,
    1245,
    1247,
    1249,
    1250,
    1252,
    1254,
    1255,
    1257,
    1258,
    1260,
    1262,
    1263,
    1265,
    1266,
    1268,
    1270,
    1271,
    1273,
    1274,
    1276,
    1278,
    1279,
    1281,
    1283,
    1284,
    1286,
    1287,
    1289,
    1291,
    1292,
    1294,
    1295,
    1297,
    1299,
    1300,
    1302,
    1304,
    1305,
    1307,
    1308,
    1310,
    1312,
    1313,
    1315,
    1316,
    1318,
    1320,
    1321,
    1323,
    1325,
    1326,
    1328,
    1329,
    1331,
    1333,
    1334,
    1336,
    1338,
    1339,
    1341,
    1342,
    1344,
    1346,
    1347,
    1349,
    1351,
    1352,
    1354,
    1355,
    1357,
    1359,
    1360,
    1362,
    1364,
    1365,
    1367,
    1368,
    1370,
    1372,
    1373,
    1375,
    1377,
    1378,
    1380,
    1382,
    1383,
    1385,
    1386,
    1388,
    1390,
    1391,
    1393,
    1395,
    1396,
    1398,
    1400,
    1401,
    1403,
    1404,
    1406,
    1408,
    1409,
    1411,
    1413,
    1414,
    1416,
    1418,
    1419,
    1421,
    1422,
    1424,
    1426,
    1427,
    1429,
    1431,
    1432,
    1434,
    1436,
    1437,
    1439,
    1441,
    1442,
    1444,
    1445,
    1447,
    1449,
    1450,
    1452,
    1454,
    1455,
    1457,
    1459,
    1460,
    1462,
    1464,
    1465,
    1467,
    1469,
    1470,
    1472,
    1474,
    1475,
    1477,
    1478,
    1480,
    1482,
    1483,
    1485,
    1487,
    1488,
    1490,
    1492,
    1493,
    1495,
    1497,
    1498,
    1500,
    1502,
    1503,
    1505,
    1507,
    1508,
    1510,
    1512,
    1513,
    1515,
    1517,
    1518,
    1520,
    1522,
    1523,
    1525,
    1527,
    1528,
    1530,
    1532,
    1533,
    1535,
    1537,
    1538,
    1540,
    1542,
    1543,
    1545,
    1547,
    1548,
    1550,
    1552,
    1553,
    1555,
    1557,
    1558,
    1560,
    1562,
    1563,
    1565,
    1567,
    1568,
    1570,
    1572,
    1573,
    1575,
    1577,
    1578,
    1580,
    1582,
    1583,
    1585,
    1587,
    1588,
    1590,
    1592,
    1594,
    1595,
    1597,
    1599,
    1600,
    1602,
    1604,
    1605,
    1607,
    1609,
    1610,
    1612,
    1614,
    1615,
    1617,
    1619,
    1620,
    1622,
    1624,
    1625,
    1627,
    1629,
    1631,
    1632,
    1634,
    1636,
    1637,
    1639,
    1641,
    1642,
    1644,
    1646,
    1647,
    1649,
    1651,
    1653,
    1654,
    1656,
    1658,
    1659,
    1661,
    1663,
    1664,
    1666,
    1668,
    1669,
    1671,
    1673,
    1675,
    1676,
    1678,
    1680,
    1681,
    1683,
    1685,
    1686,
    1688,
    1690,
    1692,
    1693,
    1695,
    1697,
    1698,
    1700,
    1702,
    1704};
